Anfängerproblem... (bz2;mhash,mcrypt,domxml)

Alles, was PHP betrifft, kann hier besprochen werden.

Anfängerproblem... (bz2;mhash,mcrypt,domxml)

Postby Splasher » 22. October 2004 17:33

Guten Tag,

ich wollte mir so ein umfrage-ding installieren, hatte noch nie mit apache was zu tun etc... aber ich brauch halt das programm.

es heißt opensurveypilot

wenn ich es installieren will kommt:

Modul: mysql
Modul: zlib
Modul: bz2
Modul: mhash
Modul: mcrypt
Modul: domxml
Bitte compilieren Sie PHP mit der option --with-bz2,oder laden Sie das Modul dynamisch. Dazu müssen Sie in der php.ini die Einstellungen des Abschnitts Dynamic Extensions bearbeiten und den Webserver bzw. PHP neu starten.
Bitte compilieren Sie PHP mit der option --with-mhash,oder laden Sie das Modul dynamisch. Dazu müssen Sie in der php.ini die Einstellungen des Abschnitts Dynamic Extensions bearbeiten und den Webserver bzw. PHP neu starten.
Bitte compilieren Sie PHP mit der option --with-mcrypt,oder laden Sie das Modul dynamisch. Dazu müssen Sie in der php.ini die Einstellungen des Abschnitts Dynamic Extensions bearbeiten und den Webserver bzw. PHP neu starten.
Bitte compilieren Sie PHP mit der option --with-domxml,oder laden Sie das Modul dynamisch. Dazu müssen Sie in der php.ini die Einstellungen des Abschnitts Dynamic Extensions bearbeiten und den Webserver bzw. PHP neu starten

1. wie compiliere ich?
2. wo gebe ich das ein?
3. gibts da ein download-packet?

danke!!!

PS: Ich habe gesucht, aber nichts gefunden!!!
Splasher
 
Posts: 1
Joined: 22. October 2004 17:27

Postby Jan H. Krüger » 25. October 2004 15:03

Um dir da zu antworten wäre es hilfreich zu wissen unter welchem Betriebssystem du arbeitest.
Jan H. Krüger
 
Posts: 152
Joined: 24. October 2004 19:42

Re: Anfängerproblem... (bz2;mhash,mcrypt,domxml)

Postby deiszner » 12. December 2004 19:14

Jan H. Krüger wrote:Um dir da zu antworten wäre es hilfreich zu wissen unter welchem Betriebssystem du arbeitest.


SuSe 8.2

Wie bekomme ich das bz2 Modul in PHP rein - ohne geht nämlich Opensurvey nicht !
Alles schöne am Leben hat einen Haken. Es ist unmoralisch, illegal oder es macht dick.
deiszner
 
Posts: 128
Joined: 30. December 2002 12:18
Location: Leipzig

Postby deepsurfer » 13. December 2004 19:25

Über YAST den Entpacker/Packer BZ2 nachinstallieren.

chirio
Deep
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
Operating System: Win-XP / Win7 / Linux -Debian

Postby Wiedmann » 13. December 2004 19:34

Wie bekomme ich das bz2 Modul in PHP rein - ohne geht nämlich Opensurvey nicht !

Falls wirklich noch nicht enthalten, musst du dazu PHP neu übersetzen. In den Optionen beim "configure" muss für die Bzip2 Unterstützung noch "--with-bz2" mit rein.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

...und unter windoof?

Postby Webdummi » 23. December 2004 12:30

hallo,

wollte auch das skript installieren - ist ja von den funktionen super.
unter w2k erhalte ich die gleichen fehlermeldungen.
wie bekommt man das unter diesem betriebssystem gebacken ohne vorerst tausende seiten lesen zu müssen, wie man z.b. php, apache etc. neu kompiliert?

danke

webdummi
Webdummi
 
Posts: 4
Joined: 12. December 2004 19:44

Postby rene.pr » 30. December 2004 10:44

Bei Windows ist das etwas einfacher du musst nur in das apache verzeichniss wechseln dann in bin und dann php.ini mit einem texteditor öffnen wenn du nach unten scrollst steht eine liste von extensions die nachgeladen werden einfach den ; davor löschen und xamp neu starten schon hast du z.B domxml usw. wenn ne fehlermeldung kommt musst du dir das paket von pecel runterladen und ins ext. verzeichnis von php nachladen aber das meiste ist schon dabei
rene.pr
 
Posts: 28
Joined: 20. December 2004 11:12


Return to PHP

Who is online

Users browsing this forum: No registered users and 2 guests